pilot-memos(1)

NAME
pilot-memos - Manipulate Memo entries from a file or your Palm device.

SECTION

pilot-link: Userland conduits

SYNOPSIS

 pilot-memos [-p|--port <port>] [-q|--quiet] [--version] [-?|--help] [--usage] [-v|--verbose] [-d|--delete] [-f|--file file] [-s|--save dir] [-c|--category STRING] [-r|--regex STRING]

DESCRIPTION

By default, the contents of your Palm's memo database will be written to standard output as a standard UNIX mailbox (mbox-format) file, with each memo as a separate message. The subject of each message will be the category.

If '-s' is specified, then instead of being written to standard output, memos will be saved in subdirectories of dir. Each subdirectory will be the name of a category on the Palm, and will contain the memos in that category. Each filename will be the first line (up to the first 40 characters) of the memo. Control characters, slashes, and equal signs that would otherwise appear in filenames are converted after the fashion of MIME's quoted-printable encoding. Note that if you have two memos in the same category whose first lines are identical, one of them will be overwritten.

If '-f' is specified, the specified file will be treated as a memo database from which to read memos, rather than HotSyncing from the Palm.

OPTIONS

  pilot-memos options
                        -V, --verbose

Verbose, with -s, print each filename when written to disk.
                        -d,
                        --delete NUMBER

Delete memo named by number num.
                        -f,
                        --file file.

Use <file> as input file (instead of MemoDB.pdb).
                        -s,
                        --save dir.

Save memos in dir instead of writing to STDOUT.
                        -c,
                        --category cat.

Only create memos in this category.
                        -r,
                        --regex regex.

Select memos saved by regular expression on the title.

  Conduit Options
                        -p, --port <port>

Use device file <port> to communicate with the Palm handheld. If this is not specified, pilot-memos will look for the $PILOTPORT environment variable. If neither are found or supplied, pilot-memos will print the usage information.
                        -q,
                        --quiet

Suppress 'Hit HotSync button' message
                        -v, --version

Display version of pilot-memos and exit without connecting.

  Help Options
                        -h, --help

Display the help synopsis for pilot-memos and exit without connecting.
                        --usage

Display a brief usage message and exit without connecting.

AUTHOR

 pilot-memos was originally written by Kenneth Albanowski.

This manual page was converted to XML by Neil Williams <linux@codehelp.co.uk>

REPORTING BUGS

We have an online bug tracker. Using this is the only way to ensure that your bugs are recorded and that we can track them until they are resolved or closed. Reporting bugs via email, while easy, is not very useful in terms of accountability. Please point your browser to http://bugs.pilot-link.org: http://bugs.pilot-link.org and report your bugs and issues there.

COPYRIGHT

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.

SEE ALSO

 install-memo (1), pilot-link(7).